Python
import requests
url = "https://app.langwatch.ai/api/roles/permissions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.langwatch.ai/api/roles/permissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://app.langwatch.ai/api/roles/permissions \
--header 'Authorization: Bearer <token>'{
"resources": [
{
"resource": "<string>",
"organizationExclusive": true,
"actions": [
"<string>"
],
"permissions": [
"<string>"
]
}
],
"actions": [
"<string>"
]
}Roles
List permissions
The permission catalog custom roles are built from: every resource with its actions, annotated with whether the resource only takes effect at organization scope (such a permission cannot be granted by a team- or project-scoped binding).
GET
/
api
/
roles
/
permissions
Python
import requests
url = "https://app.langwatch.ai/api/roles/permissions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.langwatch.ai/api/roles/permissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://app.langwatch.ai/api/roles/permissions \
--header 'Authorization: Bearer <token>'{
"resources": [
{
"resource": "<string>",
"organizationExclusive": true,
"actions": [
"<string>"
],
"permissions": [
"<string>"
]
}
],
"actions": [
"<string>"
]
}Authorizations
Admin API key for organization-level operations (managing projects, API keys). Create one in Settings > API Keys or via POST /api/api-keys. Format: sk-lw-{id}_{secret}.
Was this page helpful?
⌘I